<?php
global $message;
echo $message;
?>
<div class="wrap">        
	<h2>Map List</h2>	
	<table class="widefat">
		<thead>
			<tr>
				<th scope="col">Map Title</th>
				<th scope="col">Map Location</th>
				<th scope="col">Height</th>
				<th scope="col">Width</th>
				<th scope="col">Street View</th>
				<th scope="col">Direction</th>
			</tr>
		</thead>
		<tbody>

			<?php
			$results = $google_map->get_list();
			if (count($results) > 0) {
				foreach ($results as $map) {
					?>
					<tr>
						<td>
							<?php echo $map->title ?>
							<div class="row-actions">
								<a href="admin.php?page=google-map-add&id=<?php echo $map->id ?>">Edit</a> | <a href="admin.php?page=google-map&submit_form=delete_map&id=<?php echo $map->id ?>">Delete</a>
							</div>
						</td>
						<td><?php echo $map->address . "," . $map->city . "," . $map->state . ",". $map->country . " " . $map->postcode ?></td>
						<td><?php echo $map->height ?></td>
						<td><?php echo $map->width ?></td>
						<td><?php echo ($map->street_view == 1) ? "Enabled" : "Disabled" ?></td>
						<td><?php echo ($map->direction== 1) ? "Enabled" : "Disabled" ?></td>
					</tr>
					<?php
				}
			} else {
				?>
				<tr>
					<td colspan="6">No Maps Found</td>
				</tr>
				<?php
			}
			?>
		</tbody>
		<tfoot>
			<tr>
				<th scope="col">Map Title</th>
				<th scope="col">Map Location</th>
				<th scope="col">Height</th>
				<th scope="col">Width</th>
				<th scope="col">Street View</th>
				<th scope="col">Direction</th>
			</tr>
		</tfoot>
	</table>			
</div>