<?php

class qtm_google_map {

	//put your code here

	public function __construct() {
		
	}

	public function get_list() {
		global $wpdb, $table_prefix;
		$query = "SELECT * FROM `" . $table_prefix . "google_map` ORDER BY id DESC";
		$result = $wpdb->get_results($query);
		return $result;
	}

	public function get_map_by_id($id=0) {
		global $wpdb, $table_prefix;
		$query = "SELECT * FROM `" . $table_prefix . "google_map` WHERE `id`='" . $id . "'";
		$result = $wpdb->get_row($query);
		return $result;
	}

	public function delete_google_map($id = 0) {
		global $wpdb, $table_prefix;
		$query = "DELETE FROM `" . $table_prefix . "google_map` WHERE `id` = '$id' LIMIT 1";
		$wpdb->query($query);
	}

	public function save_google_map($id, $savedata) {
		global $wpdb, $table_prefix;
		$tablename = $table_prefix . "google_map";
		if ($id > 0) {
			$where = array('id' => $id);
			$wpdb->update($tablename, $savedata, $where);
			$message = "updated";
		} else {
			$wpdb->insert($tablename, $savedata);
			$message = "added";
		}
		return $message;
	}
	public function get_map_longitude($address) {
		$address=str_replace(" ","+",$address);
		$address=str_replace(",",",+",$address);
		$geocode = file_get_contents("http://maps.google.com/maps/api/geocode/json?address=$address&sensor=false");
		$output = json_decode($geocode);
		$direction=array();
		$direction['latitude']=$output->results[0]->geometry->location->lat;
		$direction['longitude']=$output->results[0]->geometry->location->lng;
		return $direction;
	}
}
?>